commit:     ae7d6140c423e20e030b86520822cabc3ab0080a
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  1 08:24:41 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Mon Feb  1 08:25:57 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae7d6140

eclass/latex-package.eclass: Use in_iuse and build doc conditionnally if doc 
useflag is present; ref. bug #573530

 eclass/latex-package.eclass | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

diff --git a/eclass/latex-package.eclass b/eclass/latex-package.eclass
index 39211be..1a092d3 100644
--- a/eclass/latex-package.eclass
+++ b/eclass/latex-package.eclass
@@ -51,10 +51,10 @@
 # you must either grab each file individually, or find a place to mirror an
 # archive of them.  (iBiblio)
 #
-# It inherits base in EAPI 5 and earlier.
+# It inherits base and eutils in EAPI 5 and earlier.
 
 case ${EAPI:-0} in
-       0|1|2|3|4|5) inherit base ;;
+       0|1|2|3|4|5) inherit base eutils ;;
        6) ;;
        *) die "Unknown EAPI ${EAPI} for ${ECLASS}" ;;
 esac
@@ -124,11 +124,13 @@ latex-package_src_doinstall() {
                                done
                                ;;
                        "tex" | "dtx")
-                               for i in `find . -maxdepth 1 -type f -name 
"*.${1}"`
-                               do
-                                       einfo "Making documentation: $i"
-                                       texi2dvi -q -c --language=latex $i &> 
/dev/null || die
-                               done
+                               if ! in_iuse doc || use doc ; then
+                                       for i in `find . -maxdepth 1 -type f 
-name "*.${1}"`
+                                       do
+                                               einfo "Making documentation: $i"
+                                               texi2dvi -q -c --language=latex 
$i &> /dev/null || die
+                                       done
+                               fi
                                ;;
                        "tfm" | "vf" | "afm")
                                for i in `find . -maxdepth 1 -type f -name 
"*.${1}"`

Reply via email to